plugins {
    id 'com.android.library'
}

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    repositories {
        flatDir {
            dirs 'libs'
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    implementation  fileTree(dir: 'libs', include: ['*.jar','*.aar'])
    implementation  rootProject.ext.dependencies["appcompat"]
    implementation  rootProject.ext.dependencies["material"]
    implementation  rootProject.ext.dependencies["gson"]
    // 添加base依赖
    implementation project(path: ':lib_base')
    //AMPE
    implementation project(path: ':lib_ampe')
    implementation project(path: ':lib_print:lib_base_print')


}